greektranslator

Well-Known Member
Jun 5, 2011
104
8
68
Greece
cPanel Access Level
Root Administrator
I want to use some Perl scripts that require "threads".
From what I have seen, Perl needs to be compiled with threads in order to have that functionality (using -Dusethreads?).

I tried to use perlbrew to install a different version but had some trouble. Is it possible to recompile system Perl with threads or what is the best course of action?

/http://stackoverflow.com/questions/22036985/error-using-thread-module-this-perl-not-built-to-support-threads
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,909
2,228
463
Hello :)

Is this a VPS? If so, you may need to reinstall the system Perl using your system package manager (YUM). Please make note of the information in the following document:

Perl Environments and Modules

Thank you.